# scorer.c File Reference

Scoring system for screen mode selection (internal). More...

`#include <allegro.h>`
`#include "alleggl.h"`
`#include "allglint.h"`

Go to the source code of this file.

## Defines

- #define target allegro_gl_display_info
- #define req __allegro_gl_required_settings
- #define sug __allegro_gl_suggested_settings
- #define PREFIX_I "agl-scorer INFO: "

## Functions

- void __allegro_gl_fill_in_info ()
- void __allegro_gl_reset_scorer (void)
- static int get_score (struct allegro_gl_display_info *dinfo)
- int __allegro_gl_score_config (int refnum, struct allegro_gl_display_info *dinfo)
- int __allegro_gl_best_config (void)

## Variables

- static int best
- static int best_score

## Detailed Description

Scoring system for screen mode selection (internal).

Definition in file scorer.c.